petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionGetConstraintIndices

Get the point dof numbers, in [0, dof), which are constrained

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetConstraintIndices(PetscSection s, PetscInt point, const PetscInt **indices)

### Input Parameters

| s | - The PetscSection
| point | - The point

### Output Parameter

indices -The constrained dofs

Note: In Fortran, you call PetscSectionGetConstraintIndicesF90() and PetscSectionRestoreConstraintIndicesF90()

### See Also

PetscSectionSetConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

Level:advanced
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages